aom_tile_info Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Decoder

Structure to hold information about tiles in a frame. More...

`#include <aomdx.h>`

## Data Fields

int | tile_columns
int | tile_rows
int | tile_widths [64]
int | tile_heights [64]
int | num_tile_groups

## Detailed Description

Structure to hold information about tiles in a frame.

Defines a structure to hold a frame's tile information, namely number of tile columns, number of tile_rows, and the width and height of each tile.

## Field Documentation

## tile_columns

int aom_tile_info::tile_columns

Indicates the number of tile columns.

## tile_rows

int aom_tile_info::tile_rows

Indicates the number of tile rows.

## tile_widths

int aom_tile_info::tile_widths[64]

Indicates the tile widths in units of SB.

## tile_heights

int aom_tile_info::tile_heights[64]

Indicates the tile heights in units of SB.

## num_tile_groups

int aom_tile_info::num_tile_groups

Indicates the number of tile groups present in a frame.

The documentation for this struct was generated from the following file:

- aom/aomdx.h